Returns a paginated list of vehicles enrolled in the CARB CTC program with their latest compliance status. Results can be filtered by tag IDs and test status.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read CARB CTC Integration under the CARB CTC Integration category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/carb-ctc/vehicles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"enrollmentId": "550e8400-e29b-41d4-a716-446655440000",
"enrollmentVin": "1HGCM82633A123456",
"id": "12345",
"testStatus": "pass",
"lastCollectionAtTime": "2024-06-15T08:00:00Z",
"nextCollectionAtTime": "2024-12-15T00:00:00Z",
"testStatusDetails": "Response from CARB CTC: Vehicle PASSED emissions scan."
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
Optional filter based on the test status. This parameter can be passed multiple times to filter by multiple statuses.
notScheduled, scheduled, inProgress, awaitingResult, pass, fail, error, unknown If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/fleet/carb-ctc/vehicles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"enrollmentId": "550e8400-e29b-41d4-a716-446655440000",
"enrollmentVin": "1HGCM82633A123456",
"id": "12345",
"testStatus": "pass",
"lastCollectionAtTime": "2024-06-15T08:00:00Z",
"nextCollectionAtTime": "2024-12-15T00:00:00Z",
"testStatusDetails": "Response from CARB CTC: Vehicle PASSED emissions scan."
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}